BigPolynomial Class Reference

`#include <BigPolynomial.h>`

## Classes

struct | BigCoefTerm

## Public Member Functions

| BigPolynomial ()
| BigPolynomial (const VarNames &names)
size_t | getTermCount () const
size_t | getVarCount () const
const VarNames & | getNames () const
void | clear ()
void | clearAndSetNames (const VarNames &names)
void | sortTermsReverseLex ()
void | sortVariables ()
const mpz_class & | getCoef (size_t index) const
const vector< mpz_class > & | getTerm (size_t index) const
void | newLastTerm ()
vector< mpz_class > & | getLastTerm ()
mpz_class & | getLastCoef ()
void | renameVars (const VarNames &names)
void | add (const mpz_class &coef, const vector< mpz_class > term)
void | add (const mpz_class &coef, const Term &term, const TermTranslator &translator)
bool | operator== (const BigPolynomial &poly) const
void | print (FILE *file) const
void | print (ostream &out) const

## Private Types

typedef vector< BigCoefTerm >::iterator | iterator
typedef vector< BigCoefTerm >::const_iterator | const_iterator

## Static Private Member Functions

static bool | compareCoefTermsReverseLex (const BigCoefTerm &a, const BigCoefTerm &b)

## Private Attributes

VarNames | _names
vector< BigCoefTerm > | _coefTerms

## Detailed Description

Definition at line 27 of file BigPolynomial.h.

## Member Typedef Documentation

## const_iterator

typedef vector<BigCoefTerm>::const_iterator BigPolynomial::const_iterator

private

Definition at line 69 of file BigPolynomial.h.

## iterator

typedef vector<BigCoefTerm>::iterator BigPolynomial::iterator

private

Definition at line 68 of file BigPolynomial.h.

## Constructor & Destructor Documentation

## BigPolynomial() [1/2]

BigPolynomial::BigPolynomial | ( |  | ) |

Definition at line 27 of file BigPolynomial.cpp.

## BigPolynomial() [2/2]

BigPolynomial::BigPolynomial | ( | const VarNames & | names | ) |

Definition at line 30 of file BigPolynomial.cpp.

## Member Function Documentation

## add() [1/2]

void BigPolynomial::add | ( | const mpz_class & | coef,
|  | const Term & | term,
|  | const TermTranslator & | translator )

Definition at line 109 of file BigPolynomial.cpp.

## add() [2/2]

void BigPolynomial::add | ( | const mpz_class & | coef,
|  | const vector< mpz_class > | term )

Definition at line 100 of file BigPolynomial.cpp.

## clear()

void BigPolynomial::clear | ( |  | ) |

Definition at line 57 of file BigPolynomial.cpp.

## clearAndSetNames()

void BigPolynomial::clearAndSetNames | ( | const VarNames & | names | ) |

Definition at line 61 of file BigPolynomial.cpp.

## compareCoefTermsReverseLex()

bool BigPolynomial::compareCoefTermsReverseLex | ( | const BigCoefTerm & | a,
|  | const BigCoefTerm & | b )

static private

Definition at line 151 of file BigPolynomial.cpp.

## getCoef()

const mpz_class & BigPolynomial::getCoef | ( | size_t | index | ) | const

Definition at line 66 of file BigPolynomial.cpp.

## getLastCoef()

mpz_class & BigPolynomial::getLastCoef | ( |  | ) |

Definition at line 89 of file BigPolynomial.cpp.

## getLastTerm()

vector< mpz_class > & BigPolynomial::getLastTerm | ( |  | ) |

Definition at line 83 of file BigPolynomial.cpp.

## getNames()

const VarNames & BigPolynomial::getNames | ( |  | ) | const

Definition at line 42 of file BigPolynomial.cpp.

## getTerm()

const vector< mpz_class > & BigPolynomial::getTerm | ( | size_t | index | ) | const

Definition at line 72 of file BigPolynomial.cpp.

## getTermCount()

size_t BigPolynomial::getTermCount | ( |  | ) | const

Definition at line 34 of file BigPolynomial.cpp.

## getVarCount()

size_t BigPolynomial::getVarCount | ( |  | ) | const

Definition at line 38 of file BigPolynomial.cpp.

## newLastTerm()

void BigPolynomial::newLastTerm | ( |  | ) |

Definition at line 78 of file BigPolynomial.cpp.

## operator==()

bool BigPolynomial::operator== | ( | const BigPolynomial & | poly | ) | const

Definition at line 124 of file BigPolynomial.cpp.

## print() [1/2]

void BigPolynomial::print | ( | FILE * | file | ) | const

Definition at line 132 of file BigPolynomial.cpp.

## print() [2/2]

void BigPolynomial::print | ( | ostream & | out | ) | const

Definition at line 138 of file BigPolynomial.cpp.

## renameVars()

void BigPolynomial::renameVars | ( | const VarNames & | names | ) |

Definition at line 95 of file BigPolynomial.cpp.

## sortTermsReverseLex()

void BigPolynomial::sortTermsReverseLex | ( |  | ) |

Definition at line 46 of file BigPolynomial.cpp.

## sortVariables()

void BigPolynomial::sortVariables | ( |  | ) |

Definition at line 50 of file BigPolynomial.cpp.

## Member Data Documentation

## _coefTerms

vector<BigCoefTerm> BigPolynomial::_coefTerms

private

Definition at line 75 of file BigPolynomial.h.

## _names

VarNames BigPolynomial::_names

private

Definition at line 74 of file BigPolynomial.h.

The documentation for this class was generated from the following files:

- src/BigPolynomial.h
- src/BigPolynomial.cpp